Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.compat
Class AdaptiveRasterImage

    java.lang.Object
      |
      +--com.sun.jimi.core.compat.AdaptiveRasterImage

Deprecated. Should not be used for new formats.

public class AdaptiveRasterImage
extends java.lang.Object

An implementation of the Jimi 1.0 "JimiImage" adaptive wrapper which exposes a broad range of raster-based functionality, and then maps calls where possible onto an automatically-created RasterImage back-end. This class is built for backwards compatibility with Jimi 1.0-based encoders and decoders.

Field Summary
`static int` | `ALPHA` Deprecated.
`static int` | `ALPHA_DATA` Deprecated.
`protected java.lang.Boolean` | `alphaSignificant` Deprecated. is there meaningful alpha information?
`protected BitRasterImage` | `bitImage` Deprecated. reference for bit-based raster images
`static int` | `BLUE` Deprecated.
`protected ByteRasterImage` | `byteImage` Deprecated. reference for byte-based raster images
`static int` | `CHANNEL_ALPHA` Deprecated. Channel constant
`static int` | `CHANNEL_BLUE` Deprecated. Channel constant
`static int` | `CHANNEL_GREEN` Deprecated. Channel constant
`static int` | `CHANNEL_RED` Deprecated. Channel constant
`protected ChanneledIntRasterImage` | `channelImage` Deprecated. reference for channeled int-based raster images
`protected java.awt.image.ColorModel` | `cm` Deprecated. information which can be set before the back-end is created
`protected JimiDecoderBase` | `decoder` Deprecated. decoder waiting for back-end
`protected JimiImageFactory` | `factory` Deprecated. factory to create back-end from
`static int` | `GREEN` Deprecated.
`protected int` | `height` Deprecated.
`protected int` | `hints` Deprecated.
`protected IntRasterImage` | `intImage` Deprecated. reference for int-based raster images
`protected int` | `mode` Deprecated. mode of operation, set to one of the above constants
`protected static int` | `MODE_BIT` Deprecated.
`protected static int` | `MODE_BYTE` Deprecated.
`protected static int` | `MODE_CHANNELED` Deprecated.
`protected static int` | `MODE_INT` Deprecated.
`protected MutableJimiRasterImage` | `mutableImage` Deprecated. generic reference for all storage types for JimiMutableRasterImage operations
`static int` | `NO_ALPHA` Deprecated.
`protected FormatOptionSet` | `options` Deprecated.
`protected java.util.Hashtable` | `properties` Deprecated. image properties
`protected JimiRasterImage` | `rasterImage` Deprecated. generic reference for all storage types for JimiRasterImage operations
`static int` | `RED` Deprecated.
`protected boolean` | `rgbDefault` Deprecated. coerce data to RGB by default?
`protected boolean` | `waitForOptions` Deprecated.
`protected int` | `width` Deprecated.

Constructor Summary
`AdaptiveRasterImage(JimiImageFactory factory)` Deprecated. Create adaptive image.
`AdaptiveRasterImage(JimiImageFactory factory, JimiDecoderBase decoder)` Deprecated. Create an adaptive image for a decoder.
`AdaptiveRasterImage(JimiRasterImage ji)` Deprecated. Create an adaptive raster image for an existing JimiRasterImage.

Method Summary
`void` | `addFullCoverage()` Deprecated.
`protected void` | `createBackEnd()` Deprecated. Create the back-end image based, using the ColorModel to determine which type to use.
`int` | `getAlphaStatus()` Deprecated. Determine whether the alpha channel of the image is significant.
`JimiRasterImage` | `getBackend()` Deprecated. Get the back-end image which the adapter is wrapping to.
`long` | `getChannel(int x, int y)` Deprecated. Get a pixel value.
`void` | `getChannel(int row, int[] pixels, int off)` Deprecated. Get a 32-bit channel.
`void` | `getChannel(int channel, int row, byte[] pixels, int off)` Deprecated. Get an 8-bit channel.
`void` | `getChannel(int x, int y, int w, int h, int[] pixels, int off, int scansize)` Deprecated. Get a 32-bit channel.
`void` | `getChannel(int channel, int x, int y, int w, int h, byte[] pixels, int off, int scansize)` Deprecated. Get an 8-bit channel.
`void` | `getChannelRGB(int row, byte[] pixels, int off)` Deprecated. Get R,G,B channels.
`void` | `getChannelRGBA(int row, byte[] pixels, int off)` Deprecated. Get R,G,B,A channels.
`java.awt.image.ColorModel` | `getColorModel()` Deprecated.
`int` | `getHeight()` Deprecated.
`FormatOptionSet` | `getOptions()` Deprecated.
`int` | `getWidth()` Deprecated.
`void` | `setAbort()` Deprecated.
`void` | `setChannel(int row, int[] pixels)` Deprecated. Set a 32-bit channel row.
`void` | `setChannel(int channel, int row, byte[] pixels)` Deprecated. Set an 8-bit channel row.
`void` | `setChannel(int channel, int row, byte[] pixels, int off, int len)` Deprecated. Set an 8-bit channel row.
`void` | `setChannel(int x, int y, int w, int h, int[] pixels, int off, int scansize)` Deprecated. Set a 32-bit rectangular channel.
`void` | `setChannel(int channel, int x, int y, int w, int h, byte[] pixels, int off, int scansize)` Deprecated. Set an 8-bit rectangular channel.
`void` | `setChannel(int x, int y, long value)` Deprecated. Set a pixel value.
`void` | `setChannel(long val)` Deprecated. Obsolete.
`void` | `setColorModel(java.awt.image.ColorModel cm)` Deprecated. Set the ColorModel to use
`void` | `setDecoder(JimiDecoderBase decoder)` Deprecated. Set a decoder to be notified when the back-end is created.
`void` | `setError()` Deprecated.
`void` | `setHints(int hints)` Deprecated. Set the hints for the way data will be sent to the image.
`void` | `setOptions(FormatOptionSet options)` Deprecated.
`void` | `setPackedChannel(int row, byte[] pixels)` Deprecated. Set a packed one-bit-per-pixel channel row.
`void` | `setPackedChannel(int row, byte[] pixels, int off, int len)` Deprecated. Set a packed one-bit-per-pixel channel row.
`void` | `setPixels()` Deprecated. Initialize the storage for pixel data.
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Deprecated. Set a property of the image, which is passed to ImageConsumers.
`void` | `setRGBDefault(boolean rgb)` Deprecated.
`void` | `setSize(int width, int height)` Deprecated. Set the size of the image.
`void` | `setWaitForOptions(boolean wait)` Deprecated. Set to true if the image should be fully loaded before options are manipulated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHANNEL_ALPHA

    public static final int CHANNEL_ALPHA

  Deprecated.
  Channel constant

### CHANNEL_RED

    public static final int CHANNEL_RED

  Deprecated.
  Channel constant

### CHANNEL_GREEN

    public static final int CHANNEL_GREEN

  Deprecated.
  Channel constant

### CHANNEL_BLUE

    public static final int CHANNEL_BLUE

  Deprecated.
  Channel constant

### NO_ALPHA

    public static final int NO_ALPHA

  Deprecated.

### ALPHA_DATA

    public static final int ALPHA_DATA

  Deprecated.

### ALPHA

    public static final int ALPHA

  Deprecated.

### RED

    public static final int RED

  Deprecated.

### GREEN

    public static final int GREEN

  Deprecated.

### BLUE

    public static final int BLUE

  Deprecated.

### MODE_INT

    protected static final int MODE_INT

  Deprecated.

### MODE_BYTE

    protected static final int MODE_BYTE

  Deprecated.

### MODE_BIT

    protected static final int MODE_BIT

  Deprecated.

### MODE_CHANNELED

    protected static final int MODE_CHANNELED

  Deprecated.

### mode

    protected int mode

  Deprecated.
  mode of operation, set to one of the above constants

### cm

    protected java.awt.image.ColorModel cm

  Deprecated.
  information which can be set before the back-end is created

### hints

    protected int hints

  Deprecated.

### width

    protected int width

  Deprecated.

### height

    protected int height

  Deprecated.

### factory

    protected JimiImageFactory factory

  Deprecated.
  factory to create back-end from

### intImage

    protected IntRasterImage intImage

  Deprecated.
  reference for int-based raster images

### channelImage

    protected ChanneledIntRasterImage channelImage

  Deprecated.
  reference for channeled int-based raster images

### byteImage

    protected ByteRasterImage byteImage

  Deprecated.
  reference for byte-based raster images

### bitImage

    protected BitRasterImage bitImage

  Deprecated.
  reference for bit-based raster images

### rasterImage

    protected JimiRasterImage rasterImage

  Deprecated.
  generic reference for all storage types for JimiRasterImage operations

### mutableImage

    protected MutableJimiRasterImage mutableImage

  Deprecated.
  generic reference for all storage types for JimiMutableRasterImage operations

### decoder

    protected JimiDecoderBase decoder

  Deprecated.
  decoder waiting for back-end

### rgbDefault

    protected boolean rgbDefault

  Deprecated.
  coerce data to RGB by default?

### properties

    protected java.util.Hashtable properties

  Deprecated.
  image properties

### alphaSignificant

    protected java.lang.Boolean alphaSignificant

  Deprecated.
  is there meaningful alpha information?

### waitForOptions

    protected boolean waitForOptions

  Deprecated.

### options

    protected FormatOptionSet options

  Deprecated.

Constructor Detail

### AdaptiveRasterImage

    public AdaptiveRasterImage(JimiImageFactory factory)

  Deprecated.
  Create adaptive image.
  Parameters:
    `factory` - the factory to create a back-end JimiRasterImage from

### AdaptiveRasterImage

    public AdaptiveRasterImage(JimiImageFactory factory,
                               JimiDecoderBase decoder)

  Deprecated.
  Create an adaptive image for a decoder.
  Parameters:
    `factory` - the factory to create a back-end JimiRasterImage from
    `decoder` - the decoder responsible for this image

### AdaptiveRasterImage

    public AdaptiveRasterImage(JimiRasterImage ji)

  Deprecated.
  Create an adaptive raster image for an existing JimiRasterImage.
  Parameters:
    `ji` - the image to wrap

Method Detail

### getBackend

    public JimiRasterImage getBackend()

  Deprecated.
  Get the back-end image which the adapter is wrapping to.

### setDecoder

    public void setDecoder(JimiDecoderBase decoder)

  Deprecated.
  Set a decoder to be notified when the back-end is created.

### setSize

    public void setSize(int width,
                        int height)

  Deprecated.
  Set the size of the image.
  Parameters:
    `width` - width in pixels
    `height` - height in pixels

### getWidth

    public int getWidth()

  Deprecated.

### getHeight

    public int getHeight()

  Deprecated.

### getColorModel

    public java.awt.image.ColorModel getColorModel()

  Deprecated.

### setColorModel

    public void setColorModel(java.awt.image.ColorModel cm)

  Deprecated.
  Set the ColorModel to use
  Parameters:
    `cm` - the ColorModel

### setOptions

    public void setOptions(FormatOptionSet options)

  Deprecated.

### getOptions

    public FormatOptionSet getOptions()

  Deprecated.

### setHints

    public void setHints(int hints)

  Deprecated.
  Set the hints for the way data will be sent to the image.
  Parameters:
    `hints` - the hints using java.awt.image.ImageConsumer's hint constants
  See Also:
    `ImageConsumer`

### setPixels

    public void setPixels()
                   throws JimiException

  Deprecated.
  Initialize the storage for pixel data.

### createBackEnd

    protected void createBackEnd()
                          throws JimiException

  Deprecated.
  Create the back-end image based, using the ColorModel to determine which type to use.

### setAbort

    public void setAbort()

  Deprecated.

### setError

    public void setError()

  Deprecated.

### setRGBDefault

    public void setRGBDefault(boolean rgb)

  Deprecated.

### addFullCoverage

    public void addFullCoverage()

  Deprecated.

### setChannel

    public void setChannel(int channel,
                           int x,
                           int y,
                           int w,
                           int h,
                           byte[] pixels,
                           int off,
                           int scansize)
                    throws JimiException

  Deprecated.
  Set an 8-bit rectangular channel.

### setChannel

    public void setChannel(int x,
                           int y,
                           int w,
                           int h,
                           int[] pixels,
                           int off,
                           int scansize)
                    throws JimiException

  Deprecated.
  Set a 32-bit rectangular channel.

### setPackedChannel

    public void setPackedChannel(int row,
                                 byte[] pixels,
                                 int off,
                                 int len)
                          throws JimiException

  Deprecated.
  Set a packed one-bit-per-pixel channel row.

### setPackedChannel

    public void setPackedChannel(int row,
                                 byte[] pixels)
                          throws JimiException

  Deprecated.
  Set a packed one-bit-per-pixel channel row.

### setChannel

    public void setChannel(int channel,
                           int row,
                           byte[] pixels,
                           int off,
                           int len)
                    throws JimiException

  Deprecated.
  Set an 8-bit channel row.

### setChannel

    public void setChannel(int channel,
                           int row,
                           byte[] pixels)
                    throws JimiException

  Deprecated.
  Set an 8-bit channel row.

### setChannel

    public void setChannel(int row,
                           int[] pixels)
                    throws JimiException

  Deprecated.
  Set a 32-bit channel row.

### setChannel

    public void setChannel(long val)
                    throws JimiException

  Deprecated. Obsolete.
  Initialize the image with a specified long value.

### getChannel

    public void getChannel(int channel,
                           int x,
                           int y,
                           int w,
                           int h,
                           byte[] pixels,
                           int off,
                           int scansize)
                    throws JimiException

  Deprecated.
  Get an 8-bit channel.

### getChannel

    public void getChannel(int x,
                           int y,
                           int w,
                           int h,
                           int[] pixels,
                           int off,
                           int scansize)
                    throws JimiException

  Deprecated.
  Get a 32-bit channel.

### getChannel

    public void getChannel(int channel,
                           int row,
                           byte[] pixels,
                           int off)
                    throws JimiException

  Deprecated.
  Get an 8-bit channel.

### getChannelRGB

    public void getChannelRGB(int row,
                              byte[] pixels,
                              int off)
                       throws JimiException

  Deprecated.
  Get R,G,B channels.

### getChannelRGBA

    public void getChannelRGBA(int row,
                               byte[] pixels,
                               int off)
                        throws JimiException

  Deprecated.
  Get R,G,B,A channels.

### getChannel

    public void getChannel(int row,
                           int[] pixels,
                           int off)
                    throws JimiException

  Deprecated.
  Get a 32-bit channel.

### getChannel

    public long getChannel(int x,
                           int y)
                    throws JimiException

  Deprecated.
  Get a pixel value.

### setChannel

    public void setChannel(int x,
                           int y,
                           long value)
                    throws JimiException

  Deprecated.
  Set a pixel value.

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Deprecated.
  Set a property of the image, which is passed to ImageConsumers.

### getAlphaStatus

    public int getAlphaStatus()

  Deprecated.
  Determine whether the alpha channel of the image is significant.

### setWaitForOptions

    public void setWaitForOptions(boolean wait)

  Deprecated.
  Set to true if the image should be fully loaded before options are manipulated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD